掘金社区

一个老问题 ModuleNotFoundError: No module named ‘gm.csdk.c_sdk’Pinned highlighted

136223***081 发表在问题反馈 2021-11-07 17:12:37

问题反馈
259
1
0

python 3.6.7 standalone
查安装日志没发现问题
但是 from gm.api import *报ModuleNotFoundError: No module named ‘gm.csdk.c_sdk’
这个应该不是网络问题导致文件不完整,gm的文件从另外一台能正常的使用GM的机器完整拷贝粘贴后还是不行。

pip show gm
Name: gm
Version: 3.0.135
Summary: 掘金量化 掘金3 sdk
Home-page: https://www.myquant.cn/
Author: myquant_dev
Author-email: support@myquant.cn
License: Apache 2.0
Location: e:\program files\python36\lib\site-packages
Requires: arrow, Cython, grpcio, pandas, protobuf, python-dateutil
Required-by:

pip install gm -i https://pypi.doubanio.com/simple
Looking in indexes: https:/
/pypi.doubanio.com/simple
Collecting gm
Downloading https://pypi.doubanio.com/packages/6a/0a/eff16fb66dd594ce01e54291d01968fe59d3cc1e28d4a53b31ae546c8918/gm-3.0.135-cp36-cp36m-win_amd64.whl (2.6MB)
100% |████████████████████████████████| 2.6MB 700kB/s
Collecting protobuf>=3.12.2 (from gm)
Downloading https://pypi.doubanio.com/packages/38/f5/a8515ed44bfb3f184132d17ca3d1d350dddd9c23088c685160b892cb24dc/protobuf-3.19.1-cp36-cp36m-win_amd64.whl (897kB)
100% |████████████████████████████████| 901kB 891kB/s
Requirement already satisfied: pandas>=0.23.0 in e:\program files\python36\lib\site-packages (from gm) (1.1.5)
Requirement already satisfied: Cython>=0.26.1 in e:\program files\python36\lib\site-packages (from gm) (0.26.1)
Collecting arrow>=0.12.1 (from gm)
Downloading https://pypi.doubanio.com/packages/f4/97/a6b394b0ee6c9a7f645308f3a205c6cfe4fc804aac1bf29e4aebb5cd5a16/arrow-1.2.1-py3-none-any.whl (63kB)
100% |████████████████████████████████| 71kB 821kB/s
Requirement already satisfied: python-dateutil>=2.7.3 in e:\program files\python36\lib\site-packages (from gm) (2.8.1)
Collecting grpcio>=1.17.1 (from gm)
Downloading https://pypi.doubanio.com/packages/a1/c9/1aa0db2e684057af0e08c3d0eb41a4b6fe85ed0447ee49e76c7e7893c447/grpcio-1.41.1-cp36-cp36m-win_amd64.whl (3.2MB)
100% |████████████████████████████████| 3.2MB 782kB/s
Requirement already satisfied: pytz>=2017.2 in e:\program files\python36\lib\site-packages (from pandas>=0.23.0->gm) (2021.1)
Requirement already satisfied: numpy>=1.15.4 in e:\program files\python36\lib\site-packages (from pandas>=0.23.0->gm) (1.19.5)
Collecting typing-extensions; python_version < "3.8" (from arrow>=0.12.1->gm)
Downloading https://pypi.doubanio.com/packages/74/60/18783336cc7fcdd95dae91d73477830aa53f5d3181ae4fe20491d7fc3199/typing_extensions-3.10.0.2-py3-none-any.whl
Requirement already satisfied: six>=1.5 in e:\program files\python36\lib\site-packages (from python-dateutil>=2.7.3->gm) (1.15.0)
Installing collected packages: protobuf, typing-extensions, arrow, grpcio, gm
Successfully installed arrow-1.2.1 gm-3.0.135 grpcio-1.41.1 protobuf-3.19.1 typing-extensions-3.10.0.2

评论: 1

Looks like your connection to 掘金量化社区 - 量化交易者的交流社区 was lost, please wait while we try to reconnect.